Subject: bug#5583 closed by Glenn Morris <[email-masked]> (Re: bug#5583: 23.1.92; nsterm.m doesn't build on OSX10.4)

From: [email-masked] (Emacs bug Tracking System)
Date: Sun, 21 Feb 2010 01:52:02 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs,ns package:

#5583: 23.1.92; nsterm.m doesn't build on OSX10.4

It has been closed by Glenn Morris <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Glenn Morris <[email-masked]> by
replying to this email.

-- 
5583: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5583
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5583: 23.1.92; nsterm.m doesn't build on OSX10.4
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Sat, 20 Feb 2010 20:51:38 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

>     * nsterm.m (ns_ring_bell): Handle visible bell like X.

This change has been reverted.

Subject: 23.1.92; nsterm.m doesn't build on OSX10.4
From: Austin Frank <[email-masked]>
To: [email-masked]
Date: Mon, 15 Feb 2010 16:03:37 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm trying to build from a clean checkout of emacs head.  When I run the
following commands, 

  ./configure --without-gconf --without-dbus --with-ns
  make

I eventually get the following error.

#v+
gcc -c  -Demacs -DHAVE_CONFIG_H  -I. -I/Users/aufrank/src.remote/emacs/src -Dtemacs     -g -O2 -Wdeclaration-after-statement -Wno-pointer-sign   -MMD -MF deps/nsterm.d nsterm.m
nsterm.m: In function =2018ns_ring_bell=2019:
nsterm.m:845: error: incompatible type for argument 2 of =2018CGContextFillRect=2019
nsterm.m:861: error: incompatible type for argument 2 of =2018CGContextFillRect=2019
nsterm.m: In function =2018x_set_window_size=2019:
nsterm.m:1227: warning: ISO C90 forbids mixed declarations and code
nsterm.m: In function =2018ns_draw_fringe_bitmap=2019:
nsterm.m:2238: warning: ISO C90 forbids mixed declarations and code
nsterm.m: In function =2018-[EmacsScroller judge]=2019:
nsterm.m:5798: warning: ISO C90 forbids mixed declarations and code
make[1]: *** [nsterm.o] Error 1
make: *** [src] Error 2
#v-

I believe that this error arose from the following commit:

Author: Chong Yidong <[email-masked]>
Date:   Sat Jan 30 22:36:06 2010 -0500

    * nsterm.m (ns_ring_bell): Handle visible bell like X.

Thanks for any help,
/au
      
In GNU Emacs 23.1.92.3 (powerpc-apple-darwin8.11.0, NS apple-appkit-824.48)
 of 2010-01-31 on malibu
Windowing system distributor `Apple', version 10.3.824
configured using `configure  '--without-gconf' '--without-dbus' '--with-ns''

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

<#secure method=pgpmime mode=sign>

-- 
Austin Frank
http://aufrank.net
GPG Public Key (D7398C2F): http://aufrank.net/personal.asc